### Function

# Gimp text_layer_set_base_direction

#### Declaration [src]

    gboolean
    gimp_text_layer_set_base_direction (
      GimpLayer* layer,
      GimpTextDirection direction
    )

#### Description [src]

Set the base direction in the text layer.

This procedure sets the base direction used in applying the Unicode bidirectional algorithm when rendering the text.

Available since: | 2.6

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.
`direction` | `GimpTextDirection`
| The base direction of the text.

#### Return value

Returns: | `gboolean`
| TRUE on success.